## python-pyvmomi 6.5.0.2017.5

=== requirements.txt ===
requests>=2.3.0
six>=1.7.3

## python-pyvmomi 5.5.0

=== debian/changelog ===
python-pyvmomi (5.5.0-1) unstable; urgency=low

  * Initial release. (Closes: #738325)

 -- Thomas Goirand <zigo@debian.org>  Sun, 09 Feb 2014 14:56:33 +0800

=== debian/control ===
Source: python-pyvmomi
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9), python-setuptools, python-all (>= 2.6.6-3~)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pyvmomi.git
Vcs-Git: git://anonscm.debian.org/openstack/python-pyvmomi.git
Homepage: https://github.com/vmware/pyvmomi

Package: python-pyvmomi
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${python:Depends}, ${misc:Depends}
Description: VMware vSphere Python SDK - Python 2.x
 pyVmomi is a Python SDK for the VMware vSphere API that allows you to
 manipulate ESX, ESXi, and vCenter using scripts.
 .
 This package contains the Python 2.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

UPSTREAM_GIT = git://github.com/vmware/pyvmomi.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-pyvmomi; \
		rm $(CURDIR)/debian/python-pyvmomi/usr/lib/python$$pyvers/dist-packages/pyvmomi-5.5.0.egg-info/.gitignore ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py test ; \
	done
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/^v//" \
https://github.com/vmware/pyvmomi/tags .*/(\d[\d\.]+)\.tar\.gz

## python-pyvmomi 5.5.0-2014.1.1

=== debian/changelog ===
python-pyvmomi (5.5.0-2014.1.1-4+4~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 21:33:49 +0000

python-pyvmomi (5.5.0-2014.1.1-3) unstable; urgency=medium

  * Now suggests correctly ython-pyvmomi-doc and not pyvmomi-doc. Thanks
    to Paul Wise <pabs@debian.org> for reporting (Closes: #772450).

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Jan 2015 15:02:17 +0000

python-pyvmomi (5.5.0-2014.1.1-2) unstable; urgency=medium

  * Added missing dh-python build-depends.
  * Ran wrap-and-sort.
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Oct 2014 23:23:52 +0800

python-pyvmomi (5.5.0-2014.1.1-1) unstable; urgency=low

  * New upstream version.
  * Add RST documentation in python-pyvmomi-doc.
  * Add Python3 support in python3-pyvmomi.
  * Add upstream maintainer information.
  * Add new watch file using PyPI.
  * Use pybuild, which automates the testing and install phases.

 -- Joshua Kwan <joshk@triplehelix.org>  Wed, 03 Sep 2014 12:54:43 -0400

=== debian/control ===
Source: python-pyvmomi
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Joshua Kwan <joshk@triplehelix.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3),
               python-requests,
               python-setuptools,
               python-six,
               python3-all,
               python3-requests,
               python3-setuptools,
               python3-six
Standards-Version: 3.9.6
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-pyvmomi?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-pyvmomi -b debian/newton
Homepage: https://github.com/vmware/pyvmomi

Package: python-pyvmomi
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-requests, ${misc:Depends}, ${python:Depends}
Suggests: python-pyvmomi-doc
Description: VMware vSphere Python SDK - Python 2.x
 pyVmomi is the Python SDK for the VMware vSphere API that allows you to
 automate actions on VMware ESX, ESXi, and vCenter servers.
 .
 This package contains the Python 2.x module.

Package: python3-pyvmomi
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3-requests, ${misc:Depends}, ${python3:Depends}
Suggests: python-pyvmomi-doc
Description: VMware vSphere Python SDK - Python 3.x
 pyVmomi is the Python SDK for the VMware vSphere API that allows you to
 automate actions on VMware ESX, ESXi, and vCenter servers.
 .
 This package contains the Python 3.x module.

Package: python-pyvmomi-doc
Architecture: all
Section: doc
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}
Description: VMware vSphere Python SDK - documentation
 pyVmomi is the Python SDK for the VMware vSphere API that allows you to
 automate actions on VMware ESX, ESXi, and vCenter servers.
 .
 This package contains the reStructuredText documentation for the bindings.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/vmware/pyvmomi.git
-include /usr/share/openstack-pkg-tools/pkgos.make

PYVMOMI_DOC_PKG := python-pyvmomi-doc

export PYBUILD_DESTDIR_python2=debian/python-pyvmomi/
export PYBUILD_DESTDIR_python3=debian/python3-pyvmomi/

# TODO: package python-vcrpy then enable the tests
export PYBUILD_DISABLE_python2=test
export PYBUILD_DISABLE_python3=test

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs -X.rst
	cp -a docs/* debian/$(PYVMOMI_DOC_PKG)/usr/share/doc/$(PYVMOMI_DOC_PKG)

## python-pyvmomi 6.5.0.2017.5

=== debian/changelog ===
python-pyvmomi (6.5.0.2017.5-0ubuntu1) bionic; urgency=medium

  * New upstream release
  * Remove patch, applied upstream.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 22 Mar 2018 01:20:53 +0000

python-pyvmomi (5.5.0-2014.1.1-4) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * Install examples (Closes: #855414)
  * d/copyright: Reorder
  * Updating standards version to 4.1.1.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.

 -- Ondřej Nový <onovy@debian.org>  Tue, 31 Oct 2017 15:55:20 +0100

=== debian/control ===
Source: python-pyvmomi
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Julien Danjou <acid@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Mehdi Abaakouk <sileht@sileht.net>,
 Joshua Kwan <joshk@triplehelix.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all (>= 2.6.6-3),
 python-requests,
 python-setuptools,
 python-six,
 python3-all,
 python3-requests,
 python3-setuptools,
 python3-six,
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python/python-pyvmomi.git
Vcs-Git: https://anonscm.debian.org/git/openstack/python/python-pyvmomi.git
Homepage: https://github.com/vmware/pyvmomi

Package: python-pyvmomi
Architecture: all
Pre-Depends:
 dpkg (>= 1.15.6~),
Depends:
 python-requests,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-pyvmomi-doc,
Description: VMware vSphere Python SDK - Python 2.x
 pyVmomi is the Python SDK for the VMware vSphere API that allows you to
 automate actions on VMware ESX, ESXi, and vCenter servers.
 .
 This package contains the Python 2.x module.

Package: python-pyvmomi-doc
Architecture: all
Section: doc
Pre-Depends:
 dpkg (>= 1.15.6~),
Depends:
 ${misc:Depends},
Description: VMware vSphere Python SDK - documentation
 pyVmomi is the Python SDK for the VMware vSphere API that allows you to
 automate actions on VMware ESX, ESXi, and vCenter servers.
 .
 This package contains the reStructuredText documentation for the bindings.

Package: python3-pyvmomi
Architecture: all
Pre-Depends:
 dpkg (>= 1.15.6~),
Depends:
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-pyvmomi-doc,
Description: VMware vSphere Python SDK - Python 3.x
 pyVmomi is the Python SDK for the VMware vSphere API that allows you to
 automate actions on VMware ESX, ESXi, and vCenter servers.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/p/pyvmomi/pyvmomi-(.*)\.tar\.gz

## python-pyvmomi 6.7.1

=== debian/changelog ===
python-pyvmomi (6.7.1-3) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Wed, 31 Jul 2019 14:31:12 +0200

python-pyvmomi (6.7.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Sat, 17 Nov 2018 17:33:30 +0100

python-pyvmomi (6.7.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Add trailing tilde to min version depend to allow
    backports
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * d/control: Fix wrong Vcs-*

  [ Mathieu Parent ]
  * Upload to experimental
  * New upstream version (Closes: #860285)
    - Removing data_files.patch, merged upstream
    - Add patch to unpin vcrpy out of =1.12.0 and remove SSL tunnel tests
  * Package takeover:
    - Maintainer: Debian OpenStack -> Debian Python Modules Team
    - Uploaders: Remove Julien Danjou, Thomas Goirand, Mehdi Abaakouk and Joshua
      Kwan
    - Uploaders: Add myself
  * Update d/watch to github as doc is missing on pypi
  * Standards-Version: 4.2.1
  * Enable python3 tests and required Build-Depends
  * Debhelper compat: 9 -> 11
  * Add NOTICE.txt in python{,3}-pyvmomi.docs

 -- Mathieu Parent <sathieu@debian.org>  Fri, 16 Nov 2018 06:22:46 +0100

=== debian/control ===
Source: python-pyvmomi
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Mathieu Parent <sathieu@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 python3-all,
 python3-requests,
 python3-setuptools,
 python3-six,
 python3-testtools (>=0.9.34),
 python3-vcr,
 python3-yarl,
 tox,
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pyvmomi
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pyvmomi.git
Homepage: https://github.com/vmware/pyvmomi

Package: python-pyvmomi-doc
Architecture: all
Section: doc
Pre-Depends:
 dpkg (>= 1.15.6~),
Depends:
 ${misc:Depends},
Description: VMware vSphere Python SDK - documentation
 pyVmomi is the Python SDK for the VMware vSphere API that allows you to
 automate actions on VMware ESX, ESXi, and vCenter servers.
 .
 This package contains the reStructuredText documentation for the bindings.

Package: python3-pyvmomi
Architecture: all
Pre-Depends:
 dpkg (>= 1.15.6~),
Depends:
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-pyvmomi-doc,
Description: VMware vSphere Python SDK - Python 3.x
 pyVmomi is the Python SDK for the VMware vSphere API that allows you to
 automate actions on VMware ESX, ESXi, and vCenter servers.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/vmware/pyvmomi.git
-include /usr/share/openstack-pkg-tools/pkgos.make

PYVMOMI_DOC_PKG := python-pyvmomi-doc

export PYBUILD_DESTDIR_python3=debian/python3-pyvmomi/

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs -X.rst
	cp -a docs/* debian/$(PYVMOMI_DOC_PKG)/usr/share/doc/$(PYVMOMI_DOC_PKG)

## python-pyvmomi 8.0.3.0.1

=== requirements.txt ===
six>=1.7.3

=== debian/changelog ===
python-pyvmomi (8.0.3.0.1-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * New upstream version 8.0.3.0.1 (Closes: #1052793, #1052452, #1025402)

  [ Colin Watson ]
  * Run tests using pytest, skipping a few broken ones.
  * Drop python-pyvmomi-doc binary package; upstream now points to their
    website for most documentation and no longer ships it in the source
    package.
  * Remove some OpenStack leftovers from debian/rules.
  * Use pybuild-plugin-pyproject.
  * Enable autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Wed, 16 Oct 2024 00:05:33 +0100

python-pyvmomi (6.7.1-6) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Clean correctly.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 16 Jun 2023 20:19:54 -0400

python-pyvmomi (6.7.1-5) experimental; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * Build-Depend on python3-wheel to build a wheel for tox. (Closes: #1035644)

  [ Bas Couwenberg ]
  * Add gbp.conf to use pristine-tar & --source-only-change by default.
  * Drop obsolete Pre-Depends, Janitor only removed the version constraint.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 11 May 2023 14:40:03 -0400

python-pyvmomi (6.7.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-pyvmomi-doc: Add Multi-Arch: foreign.
  * Bump debhelper from old 12 to 13.
  * Remove constraints unnecessary since buster:
    + python-pyvmomi-doc: Drop versioned constraint on dpkg in Pre-Depends.
    + python3-pyvmomi: Drop versioned constraint on dpkg in Pre-Depends.

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2022 23:28:24 -0400

=== debian/control ===
Source: python-pyvmomi
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Mathieu Parent <sathieu@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-pytest,
 python3-setuptools,
 python3-six,
 python3-vcr,
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyvmomi
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyvmomi.git
Homepage: https://github.com/vmware/pyvmomi
Testsuite: autopkgtest-pkg-pybuild

Package: python3-pyvmomi
Architecture: all
Depends:
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-pyvmomi-doc,
Description: VMware vSphere Python SDK - Python 3.x
 pyVmomi is the Python SDK for the VMware vSphere API that allows you to
 automate actions on VMware ESX, ESXi, and vCenter servers.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR_python3=debian/python3-pyvmomi/
# test_ssl_tunnel: https://github.com/vmware/pyvmomi/issues/1085
# test_http_proxy: https://github.com/vmware/pyvmomi/issues/1085, and
#   missing my_key_file and my_cert_file
# test_json: expected output mismatch - possibly due to newer vcrpy version?
export PYBUILD_TEST_ARGS=-k 'not test_ssl_tunnel and not test_http_proxy and not test_json'

%:
	dh $@ --buildsystem=pybuild

## python-pyvmomi 9.0.0.0

=== debian/changelog ===
python-pyvmomi (9.0.0.0-4) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format
  * Re-disable test_http_proxy again (Closes: #1127529)
  * Disable useless Salsa CI jobs

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Feb 2026 14:50:51 +0100

python-pyvmomi (9.0.0.0-3) unstable; urgency=medium

  * Team upload.
  * Apply Multi-Arch: hint

 -- Alexandre Detiste <tchet@debian.org>  Sat, 20 Dec 2025 16:34:28 +0100

python-pyvmomi (9.0.0.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Alexandre Detiste <tchet@debian.org>  Sat, 26 Jul 2025 15:09:44 +0200

python-pyvmomi (9.0.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 9.0.0.0
  * External python3-six is replaced by vendored "five.py"
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Sat, 21 Jun 2025 15:37:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-pyvmomi
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Mathieu Parent <sathieu@debian.org>,
@@ -9,11 +8,10 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
- python3-pytest,
+ python3-pytest <!nocheck>,
  python3-setuptools,
- python3-six,
  python3-vcr,
-Standards-Version: 4.2.1
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyvmomi
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyvmomi.git
 Homepage: https://github.com/vmware/pyvmomi
@@ -21,6 +19,7 @@
 
 Package: python3-pyvmomi
 Architecture: all
+Multi-Arch: foreign
 Depends:
  python3-requests,
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR=debian/python3-pyvmomi/
export PYBUILD_TEST_ARGS=-k 'not test_http_proxy'

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Template: GitHub
Owner: vmware
Project: pyvmomi
